#
# spec file for package python-perky
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-perky
Version:        0.5.5
Release:        1.5
Summary:        A parser for the perky text file format
License:        MIT
URL:            https://github.com/larryhastings/perky/
Source:         https://files.pythonhosted.org/packages/source/p/perky/perky-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
An "rcfile" text file format for Python programs solving the same
problem as "INI" files, "TOML" files, and "JSON" files.

%prep
%setup -q -n perky-%{version}
sed -i '1{/\/usr\/bin\/env python*/d;}' perky/utility.py perky/__init__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# tests need to be executed directly, otherwise (pytest, unittest discover) they fail
%python_exec tests/test_perky.py -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/perky/
%{python_sitelib}/perky-%{version}*-info

%changelog
* Mon Jul 18 2022 Matej Cepl <mcepl@suse.com>
- Makes tests more verbose.
* Mon Apr 25 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- specfile cleanup, added tests
* Fri Apr 22 2022 Johannes Kastl <kastl@b1-systems.de>
- first version of package perky at version 0.5.5
